# Password generator
* can generate multiple passwords at once (separated by \n)
* can use Cyrillic/Japanese/Chinese character sets
* uses at least one character from each character set

## Build

```sh
go build .
```

## Usage

```sh
Usage of ./passgen:
  -L int             length of the generated password (default 16)
  -S                 use spaces
  -all               use all character sets
  -c int             how many passwords to generate (default 1)
  -l                 use lowercase ascii characters
  -U                 use uppercase ascii characters
  -n                 use numbers
  -s                 use special characters
  -unicode-cyrillic  use unicode Cyrillic characters
  -unicode-chinese   use unicode Chinese characters
  -unicode-japanese  use unicode Japanese characters
```